body {
    height: 100vh;
    font-family: "Sofia Sans";
}


ul {
    margin: 0;
}

nav {
    height: 100%;
    margin: 0 auto;
    display: flex;
    justify-content: space-between; /* Distribuye el espacio entre los hijos */
    align-items: center;
}

/*MARCA EL ANCHO DE LOS CONTENEDORES CON LA CLASE .CONTAINER*/
.container {
    max-width: 75vw;
    margin: 0 auto;
}

#img1 {
    width: 100%;
    height: 74vh;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url("./img/img1.jpg");
    background-position: center; 
}


nav ul {
    list-style: none;
    color: #fff;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 2.6rem;
}

nav a img {
    width: 3rem;
}

nav a {
    margin-left: .8rem;
}

header {
    background-color: #000;
    height: 10vh;
    position: sticky;
    z-index: 10000;
    top: 0;
}

#seminario h2 {
    margin-top: 0;
}

.master_card {
    width: 15vw;
    height: 40vh;
}
.master_card img {
    height: 14rem;
}

.texto-evento {
    display: flex;
    padding: 1.6rem 0;
    justify-content: space-around;
    align-items: center;
}

.evento {
    background-color: #579761cc;
}

.texto-evento p {
    width: 32vw;
    font-size: 1.4rem;

}

.texto-evento img {
    height: 50vh;
}

.textos h2 {
    color: #203181;
}

#seminario h3 {
    font-weight: bold;
    font-size: 1.8rem;
}

#seminario {
    text-align: center;
}

#seminario h2 {
    font-size: 2rem;
    margin-bottom: 20px;
}

.maestros-container {
    display: flex;
    flex-wrap: wrap; /* Permite que los elementos se envuelvan a la siguiente fila */
    justify-content: center; /* Centra las tarjetas horizontalmente */
    align-items: flex-start; /* Alinea las tarjetas desde la parte superior */
    gap: 30px; /* Espacio entre las tarjetas */
    margin: 0 auto;
}

.tarjeta-maestro {
    width: 200px; /* Ancho de cada tarjeta */
    overflow: hidden;
}

.tarjeta-maestro img {
    width: 12rem;
    height: 12rem;
    display: block;
    object-fit: fill;
}

.tarjeta-info {
    background-color: #333;
    color: white;
    padding: 10px;
    text-align: center;
}

.tarjeta-info p {
    margin: 0;
    line-height: 1.2;
}

#seminario h4 {
    font-size: 1.4rem;
    width: 40vw;
    text-align: center;
    margin: 0 auto;
    padding: 2.4rem 0 4rem 0;
}

#form {
    color: #579761cc;
}

.patrocinadores {
    background-color: #579761cc;
}

.patrocinadores h2 {
    text-align: center;
    padding: 1.6rem 0;
    font-size: 1.6rem;
    margin: 0;
}


.patrocinadores-swiper {
  width: 100%;
  max-width: 1000px;
  height: auto; /* deja que el alto se ajuste al contenido */
  padding: 1.2rem 0; /* un poco de espacio arriba y abajo */
}

.patrocinadores-swiper .swiper-slide {
  display: flex;
  justify-content: center;
  align-items: center;
}

.patrocinadores-swiper img {
  max-width: 100%;   /* no más ancho que el slide */
  max-height: 300px; /* límite de alto */
  object-fit: contain; /* que no se corte */
}

/* Baja los puntitos 20px */
.patrocinadores-swiper .swiper-pagination {
  position: relative; /* importante para que no queden superpuestos */
  margin-top: 1.2rem;   /* espacio debajo del slider */
  text-align: center; /* centrados */
}


.slider-partes {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.slider-partes h3 {
    text-align: justify;
    font-size: 1.8rem;
    width: 40vw;
    margin: 2rem;
}

@media screen and (max-width: 1100px) {
    .slider-partes {
        flex-direction: column;
        padding-bottom: 1.2rem;
    }

    .slider-partes h3 {
        width: 80%;
    }
}